auth.user.create
curl --request POST \
--url https://platform.trylath.com/auth/user/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"phone": "<string>",
"displayName": "<string>",
"locale": "<string>",
"custom": {}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
phone: '<string>',
displayName: '<string>',
locale: '<string>',
custom: {}
})
};
fetch('https://platform.trylath.com/auth/user/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/auth/user/create"
payload = {
"email": "jsmith@example.com",
"phone": "<string>",
"displayName": "<string>",
"locale": "<string>",
"custom": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/auth/user/create"
payload := strings.NewReader("{\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"displayName\": \"<string>\",\n \"locale\": \"<string>\",\n \"custom\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"primaryEmail": "<string>",
"primaryPhone": "<string>",
"displayName": "<string>",
"locale": "<string>",
"custom": {},
"bannedAt": "2023-11-07T05:31:56Z",
"bannedReason": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"identities": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"subject": "<string>",
"verifiedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"credentials": {
"passkeys": 0,
"authenticators": 0,
"password": true,
"recoveryCodesLeft": 0
}
}
}
}auth.user.create
Creates an end user with a verified email and/or phone identity, without a sign-in. Use it to import users or pre-provision accounts.
POST
/
auth
/
user
/
create
auth.user.create
curl --request POST \
--url https://platform.trylath.com/auth/user/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"phone": "<string>",
"displayName": "<string>",
"locale": "<string>",
"custom": {}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
phone: '<string>',
displayName: '<string>',
locale: '<string>',
custom: {}
})
};
fetch('https://platform.trylath.com/auth/user/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/auth/user/create"
payload = {
"email": "jsmith@example.com",
"phone": "<string>",
"displayName": "<string>",
"locale": "<string>",
"custom": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/auth/user/create"
payload := strings.NewReader("{\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"displayName\": \"<string>\",\n \"locale\": \"<string>\",\n \"custom\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"primaryEmail": "<string>",
"primaryPhone": "<string>",
"displayName": "<string>",
"locale": "<string>",
"custom": {},
"bannedAt": "2023-11-07T05:31:56Z",
"bannedReason": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"identities": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"subject": "<string>",
"verifiedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"credentials": {
"passkeys": 0,
"authenticators": 0,
"password": true,
"recoveryCodesLeft": 0
}
}
}
}Authorizations
A Lath API key: lath_live_sk… or lath_test_sk… on a server, lath_live_pk… or lath_test_pk… in a browser.
Headers
Replays the stored response for the same key and input; refuses different input.
Body
application/json
Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Pattern:
^\+[1-9]\d{6,14}$Maximum string length:
120The user's language, e.g. 'fr' or 'pt-BR'. Sign-in and other templated messages use the variant for it. Null means unknown.
Maximum string length:
20Show child attributes
Show child attributes
Last modified on September 13, 2026
Was this page helpful?

